# Filtering audit logs

Below is a list of attributes available for [filtering](/documentation/api-reference/filtering.md) audit logs.

| Attribute      | Type   |
| -------------- | ------ |
| `memberId`     | string |
| `resourceType` | string |
| `resourceId`   | string |
| `clientId`     | string |
| `trigger`      | string |
| `action`       | string |

#### Example - Get all audit logs for one action

In the example below, we will request to get all audit logs with action `create`.

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/auditLogs?resouceType=document \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$auditLogs = $ccapi->auditLogs()->list(['action' => 'update']);
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

audit_logs = cc_api.auditlogs.list(action='update')
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.AuditLogs;

var auditLogApi = new AuditLogApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var filter = new AuditLogRequest { action = "update" };

var auditLogs = await auditLogApi.ListAsync(filter);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/other-resources/audit-logs/filtering-audit-logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
